ViennaCL - The Vienna Computing Library: viennacl::linalg::detail::spai::block_matrix Class Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
viennacl::linalg::detail::spai::block_matrix Class Reference

Represents contigious matrices on GPU. More...

`#include <block_matrix.hpp>`

## Public Member Functions
viennacl::ocl::handle< cl_mem > & | handle ()
| Returns a handle to the elements. More...
viennacl::ocl::handle< cl_mem > & | handle1 ()
| Returns a handle to the matrix dimensions. More...
viennacl::ocl::handle< cl_mem > & | handle2 ()
| Returns a handle to the start indices of matrix. More...
const viennacl::ocl::handle < cl_mem > & | handle () const
| Returns a handle to the const elements. More...
const viennacl::ocl::handle < cl_mem > & | handle1 () const
| Returns a handle to the const matrix dimensions. More...
const viennacl::ocl::handle < cl_mem > & | handle2 () const
| Returns a handle to the const start indices of matrix. More...

## Detailed Description

Represents contigious matrices on GPU.

Definition at line 49 of file block_matrix.hpp.

## Member Function Documentation

viennacl::ocl::handle<cl_mem>& viennacl::linalg::detail::spai::block_matrix::handle | ( |  | ) |
| inline

Returns a handle to the elements.

Definition at line 56 of file block_matrix.hpp.

const viennacl::ocl::handle<cl_mem>& viennacl::linalg::detail::spai::block_matrix::handle | ( |  | ) | const
| inline

Returns a handle to the const elements.

Definition at line 67 of file block_matrix.hpp.

viennacl::ocl::handle<cl_mem>& viennacl::linalg::detail::spai::block_matrix::handle1 | ( |  | ) |
| inline

Returns a handle to the matrix dimensions.

Definition at line 59 of file block_matrix.hpp.

const viennacl::ocl::handle<cl_mem>& viennacl::linalg::detail::spai::block_matrix::handle1 | ( |  | ) | const
| inline

Returns a handle to the const matrix dimensions.

Definition at line 70 of file block_matrix.hpp.

viennacl::ocl::handle<cl_mem>& viennacl::linalg::detail::spai::block_matrix::handle2 | ( |  | ) |
| inline

Returns a handle to the start indices of matrix.

Definition at line 62 of file block_matrix.hpp.

const viennacl::ocl::handle<cl_mem>& viennacl::linalg::detail::spai::block_matrix::handle2 | ( |  | ) | const
| inline

Returns a handle to the const start indices of matrix.

Definition at line 73 of file block_matrix.hpp.

The documentation for this class was generated from the following file:

- viennacl/linalg/detail/spai/block_matrix.hpp